# MultiClassZeroRClassificationResult (ARX Developer Documentation)

org.deidentifier.arx.aggregates.classification

## Class MultiClassZeroRClassificationResult

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.MultiClassZeroRClassificationResult

- All Implemented Interfaces:
    ClassificationResult

      public class MultiClassZeroRClassificationResult
      extends java.lang.Object
      implements ClassificationResult

  A classification result

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `confidence()` Returns the confidence of the result
    `boolean` | `correct(java.lang.String clazz)` Returns whether the result is correct
    `double` | `error(java.lang.String clazz)` Returns the error
    `int` | `index()` Returns the index of the predicted value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### confidence

          public double confidence()

      Description copied from interface: `ClassificationResult`
      Returns the confidence of the result
      Specified by:
        `confidence` in interface `ClassificationResult`
      Returns:

    - #### correct

          public boolean correct(java.lang.String clazz)

      Description copied from interface: `ClassificationResult`
      Returns whether the result is correct
      Specified by:
        `correct` in interface `ClassificationResult`
      Returns:

    - #### error

          public double error(java.lang.String clazz)

      Description copied from interface: `ClassificationResult`
      Returns the error
      Specified by:
        `error` in interface `ClassificationResult`
      Returns:

    - #### index

          public int index()

      Description copied from interface: `ClassificationResult`
      Returns the index of the predicted value
      Specified by:
        `index` in interface `ClassificationResult`
      Returns: